<template lang='pug'>
BaseWebSite(title='nTOF Vue Widget Examples' :version='version' :showThemeSwitcher='true')
  .container.h-100
    .row.justify-content-center
      .col-12.my-1
        BaseCard.flex-grow-1(title='nTOF Vue Widget Examples')
          li(key='0')
            | This application demonstrate some of the widgets provided by the
            | #[a(href='https://gitlab.cern.ch/ntof/daq/ntof-vue-widgets') ntof-vue-widgets] library.

    // Note keep rows grouped by widget family
    .h3.mt-5 DIM State Widgets
    hr
    .row.justify-content-center
      .col-12
        ExampleDimState

    .h3.mt-5 RawFileMerger Widgets
    hr
    .row.justify-content-center
      .col-12
        ExampleRFMFilesView
    .row
      .col.b-bottom-pad

</template>
<script>
import ExampleDimState from "./AppExampleDimState.vue";
import ExampleRFMFilesView from "./AppExampleRFMFilesView.vue";

export default {
  name: "App",
  components: {
    ExampleDimState, ExampleRFMFilesView
  },
  data() {
    return { version: VERSION };
  }
};

</script>
<style lang="scss">
.b-bottom-pad {
  min-height: 33vh;
}
</style>
